> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch multiple comments GET https://api.close.com/api/v1/comment/ Comments may be fetched by `object_id` (the object that was commented on) or by `thread_id`. Exactly one of those filters must be provided. Comments on leads the requestor cannot see are omitted from the response. Reference: https://developer.close.com/api/resources/comments/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `thread_id` (string, optional, nullable) - `object_id` (string, optional, nullable) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "data": [ { "body": "

Real nice comment you've got here.

", "created_at": "2024-03-27T18:57:02.770240+00:00", "created_by": "user_abc123", "id": "comm_abc123", "lead_id": "lead_abc123", "mentions": [], "organization_id": "orga_abc123", "removed_at": null, "removed_by": null, "thread_id": "comthr_abc123", "updated_at": "2024-03-27T18:57:02.770240+00:00", "updated_by": "user_abc123" } ], "has_more": false } ``` **SDK Code** ```python comments_list_example import requests url = "https://api.close.com/api/v1/comment/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript comments_list_example const url = 'https://api.close.com/api/v1/comment/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go comments_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/comment/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby comments_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/comment/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java comments_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/comment/") .basicAuth("", "") .asString(); ``` ```php comments_list_example request('GET', 'https://api.close.com/api/v1/comment/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp comments_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/comment/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```